Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network183.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
183.0.0.0
Broadcast address
183.63.255.255
First usable
183.0.0.1
Last usable
183.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex B7000000 · Integer 3070230528 to 3074424831
Reverse DNS zones
0.183.in-addr.arpa
1.183.in-addr.arpa
2.183.in-addr.arpa
3.183.in-addr.arpa
4.183.in-addr.arpa
5.183.in-addr.arpa
6.183.in-addr.arpa
7.183.in-addr.arpa
8.183.in-addr.arpa
9.183.in-addr.arpa
10.183.in-addr.arpa
11.183.in-addr.arpa
12.183.in-addr.arpa
13.183.in-addr.arpa
14.183.in-addr.arpa
15.183.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110111.00000000.00000000.00000000183.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10110111.00000000.00000000.00000000183.0.0.0
Broadcast10110111.00111111.11111111.11111111183.63.255.255
Split into smaller subnets/17

183.0.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1183.0.0.0/17183.0.0.1 to 183.0.127.254183.0.127.25532,766
2183.0.128.0/17183.0.128.1 to 183.0.255.254183.0.255.25532,766
3183.1.0.0/17183.1.0.1 to 183.1.127.254183.1.127.25532,766
4183.1.128.0/17183.1.128.1 to 183.1.255.254183.1.255.25532,766
5183.2.0.0/17183.2.0.1 to 183.2.127.254183.2.127.25532,766
6183.2.128.0/17183.2.128.1 to 183.2.255.254183.2.255.25532,766
7183.3.0.0/17183.3.0.1 to 183.3.127.254183.3.127.25532,766
8183.3.128.0/17183.3.128.1 to 183.3.255.254183.3.255.25532,766
9183.4.0.0/17183.4.0.1 to 183.4.127.254183.4.127.25532,766
10183.4.128.0/17183.4.128.1 to 183.4.255.254183.4.255.25532,766
11183.5.0.0/17183.5.0.1 to 183.5.127.254183.5.127.25532,766
12183.5.128.0/17183.5.128.1 to 183.5.255.254183.5.255.25532,766
13183.6.0.0/17183.6.0.1 to 183.6.127.254183.6.127.25532,766
14183.6.128.0/17183.6.128.1 to 183.6.255.254183.6.255.25532,766
15183.7.0.0/17183.7.0.1 to 183.7.127.254183.7.127.25532,766
16183.7.128.0/17183.7.128.1 to 183.7.255.254183.7.255.25532,766
17183.8.0.0/17183.8.0.1 to 183.8.127.254183.8.127.25532,766
18183.8.128.0/17183.8.128.1 to 183.8.255.254183.8.255.25532,766
19183.9.0.0/17183.9.0.1 to 183.9.127.254183.9.127.25532,766
20183.9.128.0/17183.9.128.1 to 183.9.255.254183.9.255.25532,766
21183.10.0.0/17183.10.0.1 to 183.10.127.254183.10.127.25532,766
22183.10.128.0/17183.10.128.1 to 183.10.255.254183.10.255.25532,766
23183.11.0.0/17183.11.0.1 to 183.11.127.254183.11.127.25532,766
24183.11.128.0/17183.11.128.1 to 183.11.255.254183.11.255.25532,766
25183.12.0.0/17183.12.0.1 to 183.12.127.254183.12.127.25532,766
26183.12.128.0/17183.12.128.1 to 183.12.255.254183.12.255.25532,766
27183.13.0.0/17183.13.0.1 to 183.13.127.254183.13.127.25532,766
28183.13.128.0/17183.13.128.1 to 183.13.255.254183.13.255.25532,766
29183.14.0.0/17183.14.0.1 to 183.14.127.254183.14.127.25532,766
30183.14.128.0/17183.14.128.1 to 183.14.255.254183.14.255.25532,766
31183.15.0.0/17183.15.0.1 to 183.15.127.254183.15.127.25532,766
32183.15.128.0/17183.15.128.1 to 183.15.255.254183.15.255.25532,766
33183.16.0.0/17183.16.0.1 to 183.16.127.254183.16.127.25532,766
34183.16.128.0/17183.16.128.1 to 183.16.255.254183.16.255.25532,766
35183.17.0.0/17183.17.0.1 to 183.17.127.254183.17.127.25532,766
36183.17.128.0/17183.17.128.1 to 183.17.255.254183.17.255.25532,766
37183.18.0.0/17183.18.0.1 to 183.18.127.254183.18.127.25532,766
38183.18.128.0/17183.18.128.1 to 183.18.255.254183.18.255.25532,766
39183.19.0.0/17183.19.0.1 to 183.19.127.254183.19.127.25532,766
40183.19.128.0/17183.19.128.1 to 183.19.255.254183.19.255.25532,766
41183.20.0.0/17183.20.0.1 to 183.20.127.254183.20.127.25532,766
42183.20.128.0/17183.20.128.1 to 183.20.255.254183.20.255.25532,766
43183.21.0.0/17183.21.0.1 to 183.21.127.254183.21.127.25532,766
44183.21.128.0/17183.21.128.1 to 183.21.255.254183.21.255.25532,766
45183.22.0.0/17183.22.0.1 to 183.22.127.254183.22.127.25532,766
46183.22.128.0/17183.22.128.1 to 183.22.255.254183.22.255.25532,766
47183.23.0.0/17183.23.0.1 to 183.23.127.254183.23.127.25532,766
48183.23.128.0/17183.23.128.1 to 183.23.255.254183.23.255.25532,766
49183.24.0.0/17183.24.0.1 to 183.24.127.254183.24.127.25532,766
50183.24.128.0/17183.24.128.1 to 183.24.255.254183.24.255.25532,766
51183.25.0.0/17183.25.0.1 to 183.25.127.254183.25.127.25532,766
52183.25.128.0/17183.25.128.1 to 183.25.255.254183.25.255.25532,766
53183.26.0.0/17183.26.0.1 to 183.26.127.254183.26.127.25532,766
54183.26.128.0/17183.26.128.1 to 183.26.255.254183.26.255.25532,766
55183.27.0.0/17183.27.0.1 to 183.27.127.254183.27.127.25532,766
56183.27.128.0/17183.27.128.1 to 183.27.255.254183.27.255.25532,766
57183.28.0.0/17183.28.0.1 to 183.28.127.254183.28.127.25532,766
58183.28.128.0/17183.28.128.1 to 183.28.255.254183.28.255.25532,766
59183.29.0.0/17183.29.0.1 to 183.29.127.254183.29.127.25532,766
60183.29.128.0/17183.29.128.1 to 183.29.255.254183.29.255.25532,766
61183.30.0.0/17183.30.0.1 to 183.30.127.254183.30.127.25532,766
62183.30.128.0/17183.30.128.1 to 183.30.255.254183.30.255.25532,766
63183.31.0.0/17183.31.0.1 to 183.31.127.254183.31.127.25532,766
64183.31.128.0/17183.31.128.1 to 183.31.255.254183.31.255.25532,766
65183.32.0.0/17183.32.0.1 to 183.32.127.254183.32.127.25532,766
66183.32.128.0/17183.32.128.1 to 183.32.255.254183.32.255.25532,766
67183.33.0.0/17183.33.0.1 to 183.33.127.254183.33.127.25532,766
68183.33.128.0/17183.33.128.1 to 183.33.255.254183.33.255.25532,766
69183.34.0.0/17183.34.0.1 to 183.34.127.254183.34.127.25532,766
70183.34.128.0/17183.34.128.1 to 183.34.255.254183.34.255.25532,766
71183.35.0.0/17183.35.0.1 to 183.35.127.254183.35.127.25532,766
72183.35.128.0/17183.35.128.1 to 183.35.255.254183.35.255.25532,766
73183.36.0.0/17183.36.0.1 to 183.36.127.254183.36.127.25532,766
74183.36.128.0/17183.36.128.1 to 183.36.255.254183.36.255.25532,766
75183.37.0.0/17183.37.0.1 to 183.37.127.254183.37.127.25532,766
76183.37.128.0/17183.37.128.1 to 183.37.255.254183.37.255.25532,766
77183.38.0.0/17183.38.0.1 to 183.38.127.254183.38.127.25532,766
78183.38.128.0/17183.38.128.1 to 183.38.255.254183.38.255.25532,766
79183.39.0.0/17183.39.0.1 to 183.39.127.254183.39.127.25532,766
80183.39.128.0/17183.39.128.1 to 183.39.255.254183.39.255.25532,766
81183.40.0.0/17183.40.0.1 to 183.40.127.254183.40.127.25532,766
82183.40.128.0/17183.40.128.1 to 183.40.255.254183.40.255.25532,766
83183.41.0.0/17183.41.0.1 to 183.41.127.254183.41.127.25532,766
84183.41.128.0/17183.41.128.1 to 183.41.255.254183.41.255.25532,766
85183.42.0.0/17183.42.0.1 to 183.42.127.254183.42.127.25532,766
86183.42.128.0/17183.42.128.1 to 183.42.255.254183.42.255.25532,766
87183.43.0.0/17183.43.0.1 to 183.43.127.254183.43.127.25532,766
88183.43.128.0/17183.43.128.1 to 183.43.255.254183.43.255.25532,766
89183.44.0.0/17183.44.0.1 to 183.44.127.254183.44.127.25532,766
90183.44.128.0/17183.44.128.1 to 183.44.255.254183.44.255.25532,766
91183.45.0.0/17183.45.0.1 to 183.45.127.254183.45.127.25532,766
92183.45.128.0/17183.45.128.1 to 183.45.255.254183.45.255.25532,766
93183.46.0.0/17183.46.0.1 to 183.46.127.254183.46.127.25532,766
94183.46.128.0/17183.46.128.1 to 183.46.255.254183.46.255.25532,766
95183.47.0.0/17183.47.0.1 to 183.47.127.254183.47.127.25532,766
96183.47.128.0/17183.47.128.1 to 183.47.255.254183.47.255.25532,766
97183.48.0.0/17183.48.0.1 to 183.48.127.254183.48.127.25532,766
98183.48.128.0/17183.48.128.1 to 183.48.255.254183.48.255.25532,766
99183.49.0.0/17183.49.0.1 to 183.49.127.254183.49.127.25532,766
100183.49.128.0/17183.49.128.1 to 183.49.255.254183.49.255.25532,766
101183.50.0.0/17183.50.0.1 to 183.50.127.254183.50.127.25532,766
102183.50.128.0/17183.50.128.1 to 183.50.255.254183.50.255.25532,766
103183.51.0.0/17183.51.0.1 to 183.51.127.254183.51.127.25532,766
104183.51.128.0/17183.51.128.1 to 183.51.255.254183.51.255.25532,766
105183.52.0.0/17183.52.0.1 to 183.52.127.254183.52.127.25532,766
106183.52.128.0/17183.52.128.1 to 183.52.255.254183.52.255.25532,766
107183.53.0.0/17183.53.0.1 to 183.53.127.254183.53.127.25532,766
108183.53.128.0/17183.53.128.1 to 183.53.255.254183.53.255.25532,766
109183.54.0.0/17183.54.0.1 to 183.54.127.254183.54.127.25532,766
110183.54.128.0/17183.54.128.1 to 183.54.255.254183.54.255.25532,766
111183.55.0.0/17183.55.0.1 to 183.55.127.254183.55.127.25532,766
112183.55.128.0/17183.55.128.1 to 183.55.255.254183.55.255.25532,766
113183.56.0.0/17183.56.0.1 to 183.56.127.254183.56.127.25532,766
114183.56.128.0/17183.56.128.1 to 183.56.255.254183.56.255.25532,766
115183.57.0.0/17183.57.0.1 to 183.57.127.254183.57.127.25532,766
116183.57.128.0/17183.57.128.1 to 183.57.255.254183.57.255.25532,766
117183.58.0.0/17183.58.0.1 to 183.58.127.254183.58.127.25532,766
118183.58.128.0/17183.58.128.1 to 183.58.255.254183.58.255.25532,766
119183.59.0.0/17183.59.0.1 to 183.59.127.254183.59.127.25532,766
120183.59.128.0/17183.59.128.1 to 183.59.255.254183.59.255.25532,766
121183.60.0.0/17183.60.0.1 to 183.60.127.254183.60.127.25532,766
122183.60.128.0/17183.60.128.1 to 183.60.255.254183.60.255.25532,766
123183.61.0.0/17183.61.0.1 to 183.61.127.254183.61.127.25532,766
124183.61.128.0/17183.61.128.1 to 183.61.255.254183.61.255.25532,766
125183.62.0.0/17183.62.0.1 to 183.62.127.254183.62.127.25532,766
126183.62.128.0/17183.62.128.1 to 183.62.255.254183.62.255.25532,766
127183.63.0.0/17183.63.0.1 to 183.63.127.254183.63.127.25532,766
128183.63.128.0/17183.63.128.1 to 183.63.255.254183.63.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses